Include patches for logging file saves

Bug #920961 reported by Siegfried Gevatter on 2012-01-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Siegfried Gevatter
unity-lens-files
High
Siegfried Gevatter
gtk+2.0 (Ubuntu)
Wishlist
Unassigned
gtk+3.0 (Ubuntu)
Wishlist
Unassigned
unity (Ubuntu)
Undecided
Unassigned
unity-lens-files (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

The following two patches let GtkRecentManager add items to the log even if the given filename doesn't exist. This has the effect that the "Save as" dialog will be able to consistently log save operations, which can be picked up by zeitgeist-datahub and logged in Zeitgeist.

http://git.gnome.org/browse/gtk+/commit/?id=e8be9ec01f8f3a6416d458acc49a973082de1213
http://git.gnome.org/browse/gtk+/commit/?id=080f8740f27db22e7dc556723505753e3a937580

summary: - Include patches for logging from Save dialog when file doesn't exist
+ Include patches for logging file saves
tags: added: precise-file-search
Changed in gtk+3.0 (Ubuntu):
importance: Undecided → Wishlist
status: New → Fix Committed
Sebastien Bacher (seb128) wrote :

The first commit is already in the precise version (we track the unstable serie), I've backported the three commits for the second issue (the one you pointed and the following up fixes commits)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.3.10-0ubuntu2

---------------
gtk+3.0 (3.3.10-0ubuntu2) precise; urgency=low

  * debian/patches/git_gtkrecentmanager_updated.patch:
    - git patches to ensure that saved files are recorded in the recently
      used files, which will make them i.e available in the files lens
      (lp: #920961)
  * debian/patches/git_gtktimer_unref_protection.patch:
    - git patch, fixes a possible invalid unread in gtktimer,
      should fix a common nautilus segfault (lp: #804891)
 -- Sebastien Bacher <email address hidden> Thu, 26 Jan 2012 17:40:10 +0100

Changed in gtk+3.0 (Ubuntu):
status: Fix Committed → Fix Released
Omer Akram (om26er) on 2012-01-27
Changed in unity:
status: New → Confirmed
Changed in unity-lens-files:
status: New → Confirmed
status: Confirmed → Triaged
Changed in unity:
status: Confirmed → Triaged
Changed in unity:
status: Triaged → Fix Released
Changed in unity-lens-files:
status: Triaged → Fix Released
assignee: nobody → Siegfried Gevatter (rainct)
Changed in unity:
assignee: nobody → Siegfried Gevatter (rainct)
milestone: none → 5.2.0
Changed in unity-lens-files:
milestone: none → 5.2
Changed in unity:
importance: Undecided → High
Changed in unity-lens-files:
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-files - 5.2.0-0ubuntu1

---------------
unity-lens-files (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Include patches for logging file saves (LP: #920961)
  * debian/control:
    - build with vala 0.14
    - put the transitional package to extra priority
    - build-dep on latest libunity-dev
 -- Didier Roche <email address hidden> Fri, 03 Feb 2012 11:34:23 +0100

Changed in unity-lens-files (Ubuntu):
status: New → Fix Released

Opened a gtk+-2.0 task as well, as we need the patches backported so we can have goodness from Firefox and Thunderbird as well

Siegfried Gevatter (rainct) wrote :
tags: added: patch
Changed in gtk+2.0 (Ubuntu):
importance: Undecided → Wishlist
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+2.0 - 2.24.10-0ubuntu1

---------------
gtk+2.0 (2.24.10-0ubuntu1) precise; urgency=low

  * New upstream version, dropped patches included in the new version
  * debian/patches/090_logging_file_saves.patch:
    - improve the logging of saved filed, thanks Siegfried Gevatter
      (lp: #920961)
 -- Sebastien Bacher <email address hidden> Mon, 06 Feb 2012 22:03:26 +0100

Changed in gtk+2.0 (Ubuntu):
status: In Progress → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers